Index: trunk/client/class/charts.php
===================================================================
--- trunk/client/class/charts.php	(revision 264)
+++ trunk/client/class/charts.php	(revision 265)
@@ -1,6 +1,6 @@
 <?php
-// charts.php v4.5
+// charts.php v4.7
 // ------------------------------------------------------------------------
-// Copyright (c) 2003-2006, maani.us
+// Copyright (c) 2003-2007, maani.us
 // ------------------------------------------------------------------------
 // This file is part of "PHP/SWF Charts"
@@ -11,33 +11,23 @@
 
 //====================================
-function InsertChart( $flash_file, $library_path, $php_source, $width=470, $height=350, $bg_color="ffffff", $transparent=false, $license=null  ){
-        
+function InsertChart( $flash_file, $library_path, $php_source, $width=400, $height=250, $bg_color="666666", $transparent=false, $license=null ){
+	
 	$php_source=urlencode($php_source);
 	$library_path=urlencode($library_path);
- 	$x=$_SESSION['max'];
-	$u=(strpos ($flash_file,"?")==false)? "?" : ((substr($flash_file, -1)=="&")? "":"&");
+	$protocol = (strtolower($_SERVER['HTTPS']) != 'on')? 'http': 'https';
 
-
-	$html="<div style=\"text-align: right;\">";
-	if (strstr($_SERVER['HTTP_USER_AGENT'],"MSIE")){
-		$html.="<object classid='clsid:D27CDB6E-AE6D-11cf-96B8-444553540000' codebase='http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0' ";
-		$html.="width='".$width."' height='".$height."' id='charts$x'>";
-		$u=(strpos ($flash_file,"?")==false)? "?" : ((substr($flash_file, -1)=="&")? "":"&");
-		$html.="<param name='movie' value='".$flash_file.$u."library_path=".$library_path."&amp;php_source=".$php_source;
-		if($license!=null){$html.="&amp;license=".$license;}
-		$html.="'/> <param name='quality' value='high'/> <param name='bgcolor' value='#".$bg_color."'/> ";
-		if($transparent){$html.="<param name='wmode' value='transparent'/> ";}
-		$html.="</object>";
-	}else{
-		$html.="<embed src=\"".$flash_file.$u."library_path=".$library_path."&amp;php_source=".$php_source;
-        	if($license!=null){$html.="&amp;license=".$license;}
-        	$html.="\" quality=high bgcolor=#".$bg_color." width=".$width." height=".$height." name='charts' align='right' swLiveConnect='true' ";
-        	if($transparent){$html.="wmode=transparent ";}
-        	$html.="type='application/x-shockwave-flash' pluginspage='http://www.macromedia.com/go/getflashplayer'></embed>";
-	}
-	$html.="</div>";
-
+	$html="<OBJECT classid='clsid:D27CDB6E-AE6D-11cf-96B8-444553540000' codebase='".$protocol."://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0' ";
+	$html.="width='".$width."' height='".$height."' id='charts' />";
+	$u=(strpos ($flash_file,"?")===false)? "?" : ((substr($flash_file, -1)==="&")? "":"&");
+	$html.="<PARAM NAME='movie' VALUE='".$flash_file.$u."library_path=".$library_path."&stage_width=".$width."&stage_height=".$height."&php_source=".$php_source;
+	if($license!=null){$html.="&license=".$license;}
+	$html.="' /> <PARAM NAME='quality' VALUE='high' /><param name='allowScriptAccess' value='sameDomain' /><PARAM NAME='bgcolor' VALUE='#".$bg_color."' /> ";
+	if($transparent){$html.="<PARAM NAME='wmode' VALUE='transparent' /> ";}
+	$html.="<EMBED src='".$flash_file.$u."library_path=".$library_path."&stage_width=".$width."&stage_height=".$height."&php_source=".$php_source;
+	if($license!=null){$html.="&license=".$license;}
+	$html.="' quality='high' bgcolor='#".$bg_color."' width='".$width."' height='".$height."' NAME='charts' allowScriptAccess='sameDomain' swLiveConnect='true' ";
+	if($transparent){$html.="wmode=transparent ";} //use wmode=opaque to prevent printing on black
+	$html.="TYPE='application/x-shockwave-flash' PLUGINSPAGE='".$protocol."://www.macromedia.com/go/getflashplayer'></EMBED></OBJECT>";
 	return $html;
-	
 	
 }
@@ -45,5 +35,8 @@
 //====================================
 function SendChartData( $chart=array() ){
-	
+
+	//header("Content-Type: text/xml");
+	//header("Cache-Control: cache, must-revalidate");
+	//header("Pragma: public");
 	
 	$xml="<chart>\r\n";
@@ -61,5 +54,5 @@
 						for($i3=0;$i3<count($Keys3);$i3++){
 							switch(true){
-								case ($chart[$Keys1[$i1]][$Keys2[$i2]][$Keys3[$i3]]==null):
+								case ($chart[$Keys1[$i1]][$Keys2[$i2]][$Keys3[$i3]]===null):
 								$xml.="\t\t\t<null/>\r\n";
 								break;
@@ -81,5 +74,5 @@
 						$count=0;
 						for($i3=0;$i3<count($Keys3);$i3++){
-							if($chart[$Keys1[$i1]][$Keys2[$i2]][$Keys3[$i3]]==null){$xml.="\t\t\t<null/>\r\n";}
+							if($chart[$Keys1[$i1]][$Keys2[$i2]][$Keys3[$i3]]===null){$xml.="\t\t\t<null/>\r\n";}
 							else{$xml.="\t\t\t<string>".$chart[$Keys1[$i1]][$Keys2[$i2]][$Keys3[$i3]]."</string>\r\n";}
 						}
@@ -91,5 +84,5 @@
 						$count=0;
 						for($i3=0;$i3<count($Keys3);$i3++){
-							if($chart[$Keys1[$i1]][$Keys2[$i2]][$Keys3[$i3]]==null){$xml.="\t\t\t<null/>\r\n";}
+							if($chart[$Keys1[$i1]][$Keys2[$i2]][$Keys3[$i3]]===null){$xml.="\t\t\t<null/>\r\n";}
 							else{$xml.="\t\t\t<string>".$chart[$Keys1[$i1]][$Keys2[$i2]][$Keys3[$i3]]."</string>\r\n";}
 						}
@@ -125,5 +118,5 @@
 					$xml.="\t<".$Keys1[$i1].">\r\n";
 					for($i2=0;$i2<count($Keys2);$i2++){
-						if($chart[$Keys1[$i1]][$Keys2[$i2]]==null){$xml.="\t\t<null/>\r\n";}
+						if($chart[$Keys1[$i1]][$Keys2[$i2]]===null){$xml.="\t\t<null/>\r\n";}
 						else{$xml.="\t\t<value>".$chart[$Keys1[$i1]][$Keys2[$i2]]."</value>\r\n";}
 					}
@@ -142,16 +135,5 @@
 	}
 	$xml.="</chart>\r\n";
-/*        // stampa su file by Linuxap
-        mt_srand ((double)microtime()*1000000);
-	$maxran = 1000000;
-	$random_num = mt_rand(0, $maxran);
-        $fileout="./temp/$random_num";
-        $fp = fopen($fileout,"w");
-        fwrite($fp,$xml);
-        fclose($fp);
-*/
-	//echo $xml;
-//MODIFICHE PER TOGLIERE FILETEMP
-	return $xml; //return $fileout;
+	echo $xml;
 }
 //====================================
Index: trunk/client/file.php
===================================================================
--- trunk/client/file.php	(revision 264)
+++ trunk/client/file.php	(revision 265)
@@ -2,24 +2,31 @@
 
 include("config.php");
-if(!$dbi = mysql_connect($dbhost, $dbuname, $dbpass)){
-die("<center><img src=\"images/logo.gif\" target=\"Logo Avviso Errore\"><br><br><b>Ci sono dei problemi di connessione al Server $dbtype, chiediamo scusa per l'inconveniente.<br><br>Provate piu' tardi, Grazie.</b><br><font color=\"#ff0000\">". mysql_error()."</font></center>");
-}
+	try{
+	$dbi = new PDO("mysql:host=$dbhost;charset=latin1", $dbuname, $dbpass, array(PDO::ATTR_EMULATE_PREPARES => false, PDO::ATTR_ERRMODE=>PDO::ERRMODE_EXCEPTION)); 
+     	$sql = "use $dbname";
+    	$dbi->exec($sql);
+        }
+	catch(PDOException $e)
+	{
+	    echo $sql . "<br>" . $e->getMessage();
+	}             
 $fase=intval($_GET['fase']);
 
-if(!mysql_select_db($dbname)){
-die("<center><img src=src=\"images/logo.gif\" target=\"Logo Avviso Errore\"><br><br><b>Ci sono dei problemi di connessione al DataBase $dbtype, chiediamo scusa per l'inconveniente.<br><br>Provate piu' tardi, Grazie.</b><br><font color=\"#ff0000\">". mysql_error()."</font></center>");
-}
-mysql_query("SET NAMES 'utf8'", $dbi);
+
 if ($fase=='1'){
-	$res = mysql_query("SELECT id_cons_gen,descrizione from ".$prefix."_ele_consultazione order by descrizione",$dbi);
+	$sql="SELECT id_cons_gen,descrizione from ".$prefix."_ele_consultazione order by descrizione";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
 Header("content-type: application/x-javascript");
 echo "document.write(\"<b><select name=\'id_cons_gen2\'>";
 
-while(list($id_cons_gen2,$descr) = mysql_fetch_row($res)) {
+while(list($id_cons_gen2,$descr) = $res->fetch(PDO::FETCH_NUM)) {
 			echo "<option value=\'$id_cons_gen2\'>$descr";
 		}
 		echo "</select>";
-mysql_data_seek($res,0);
-while(list($id_cons_gen2,$descr) = mysql_fetch_row($res)) {
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+while(list($id_cons_gen2,$descr) = $res->fetch(PDO::FETCH_NUM)) {
 			echo "<input type=\'hidden\' name=\'$id_cons_gen2\' value=\'$descr\'>";
 		}
@@ -28,11 +35,17 @@
 }elseif ($fase=='2'){
 	$id_cons_gen2=intval($_GET['id_cons_gen2']);
-	$rescons = mysql_query("SELECT descrizione from ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen2'",$dbi);
-	list($descr_cons) = mysql_fetch_row($rescons);
-	$res = mysql_query("SELECT t2.id_comune,t2.descrizione from ".$prefix."_ele_cons_comune as t1 left join ".$prefix."_ele_comuni as t2 on t1.id_comune=t2.id_comune where t1.id_cons_gen=$id_cons_gen2 order by t2.descrizione ",$dbi);
+	$sql="SELECT descrizione from ".$prefix."_ele_consultazione where id_cons_gen='$id_cons_gen2'";
+	$rescons = $dbi->prepare("$sql");
+	$rescons->execute();
+
+	list($descr_cons) = $rescons->fetch(PDO::FETCH_NUM);
+	$sql="SELECT t2.id_comune,t2.descrizione from ".$prefix."_ele_cons_comune as t1 left join ".$prefix."_ele_comuni as t2 on t1.id_comune=t2.id_comune where t1.id_cons_gen=$id_cons_gen2 order by t2.descrizione ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
 Header("content-type: application/x-javascript");
 echo "document.write(\"<b><input type=\'hidden\' name=\'id_cons_gen2\' value=\'$id_cons_gen2\'><select name=\'id_comune2\'>";
 
-while(list($id_comune2,$descr) = mysql_fetch_row($res)) {
+while(list($id_comune2,$descr) = $res->fetch(PDO::FETCH_NUM)) {
 			echo "<option value=\'$id_comune2\'>$descr";
 		}
Index: trunk/client/footer.php
===================================================================
--- trunk/client/footer.php	(revision 264)
+++ trunk/client/footer.php	(revision 265)
@@ -6,5 +6,5 @@
 /* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
 /************************************************************************/
-global $csv;
+global $csv,$is_mobile;
 if (!$csv)
 piede();
Index: trunk/client/modules.php
===================================================================
--- trunk/client/modules.php	(revision 264)
+++ trunk/client/modules.php	(revision 265)
@@ -139,5 +139,5 @@
 $fileout = intval($row['fileout']);
 $copyright = $row['copyright'];
-$Versione = $row['Versione'];
+$Versione = $row['versione'];
 $patch = $row['patch'];
 $siteistat = intval($row['siteistat']);
Index: trunk/client/modules/Elezioni/affluenze.php
===================================================================
--- trunk/client/modules/Elezioni/affluenze.php	(revision 264)
+++ trunk/client/modules/Elezioni/affluenze.php	(revision 265)
@@ -19,6 +19,8 @@
 if (isset($param['xls'])) $xls=intval($param['xls']);
 if (isset($param['pdf'])) $pdf=intval($param['pdf']);
-$res = mysql_query("SELECT t1.tipo_cons,t3.genere,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2, ".$prefix."_ele_tipo as t3 where t1.tipo_cons=t3.tipo_cons and t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
-list($tipo_cons,$genere,$id_cons) = mysql_fetch_row($res);
+$sql="SELECT t1.tipo_cons,t3.genere,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2, ".$prefix."_ele_tipo as t3 where t1.tipo_cons=t3.tipo_cons and t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'";
+$res = $dbi->prepare("$sql");
+$res->execute();
+list($tipo_cons,$genere,$id_cons) = $res->fetch(PDO::FETCH_NUM);
 global $lang,$circo,$id_circ;
 
@@ -31,6 +33,8 @@
 	include_once("modules/Elezioni/funzioni.php");
 	
-	$res = mysql_query("SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ", $dbi);
-	list($descr_com) = mysql_fetch_row($res);
+	$sql="SELECT descrizione FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	list($descr_com) = $res->fetch(PDO::FETCH_NUM);
         $descr_com =stripslashes($descr_com); 
 	$datipdf .= "<div style=\"margin:0px auto; text-align:center;\">";
@@ -110,10 +114,14 @@
 	if (!IsSet($num_ref)) { 
 		$num_ref=1;
-		$resg = mysql_query("SELECT id_gruppo from ".$prefix."_ele_gruppo where id_cons='$id_cons'", $dbi);
-		$num_refs= mysql_num_rows($resg); //quante pagine?
+		$sql="SELECT id_gruppo from ".$prefix."_ele_gruppo where id_cons='$id_cons'";
+		$resg = $dbi->prepare("$sql");
+		$resg->execute();
+		$num_refs= $resg->rowCount(); //quante pagine?
 	}	
 	if($genere=='0'){
-		$resg = mysql_query("SELECT id_gruppo from ".$prefix."_ele_gruppo where id_cons='$id_cons' and num_gruppo='$num_ref'", $dbi);	
-		list($id_gruppo)=mysql_fetch_array($resg);
+		$sql="SELECT id_gruppo from ".$prefix."_ele_gruppo where id_cons='$id_cons' and num_gruppo='$num_ref'";	
+		$resg = $dbi->prepare("$sql");
+		$resg->execute();
+		list($id_gruppo)=$resg->fetch(PDO::FETCH_NUM);
 	$posref="&amp;num_ref=$num_ref&amp;num_refs=$num_refs";
 	
@@ -140,6 +148,8 @@
 	// descrizione
 	 if ($genere==0){
-	 $des = mysql_query("select descrizione from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
-		list($descrizione)=mysql_fetch_array($des);
+	 $sql="select descrizione from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+	$des = $dbi->prepare("$sql");
+	$des->execute();
+		list($descrizione)=$des->fetch(PDO::FETCH_NUM);
 	        if(!isset($html)) $html='';
 		$html .= "<div><h4>$descrizione</h4></div>";
@@ -151,8 +161,10 @@
 	
 	
-	$res = mysql_query("SELECT num_sez,id_sez,t1.id_sede, t2.id_circ,maschi,femmine,(maschi+femmine) as elettori FROM ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circos order by num_sez", $dbi);
-	while ($linka[$i++] = mysql_fetch_array($res));
+	$sql="SELECT num_sez,id_sez,t1.id_sede, t2.id_circ,maschi,femmine,(maschi+femmine) as elettori FROM ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circos order by num_sez";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	while ($linka[$i++] = $res->fetch(PDO::FETCH_BOTH));
 #	while (list($appo) = mysql_fetch_array($res)) {$i=$appo['num_sez']; $linka[$i] = $appo;echo "\nnum:$i:".$linka[$i]['num_sez'];}die();
-	$num_sez = mysql_num_rows($res); //numero totale delle sezioni
+	$num_sez = $res->rowCount(); //numero totale delle sezioni
 	$sez_da=$linka[1]['num_sez'];
 	$sez_a=$sez_da+$num_sez-1;
@@ -181,21 +193,25 @@
 
 	$perc_u=0;$perc_d=0;$perc_c=0;
-#	$resril = mysql_query("SELECT t1.data,t1.orario FROM ".$prefix."_ele_rilaff as t1 where t1.id_cons_gen='$id_cons_gen' and 0<(select count(0) from ".$prefix."_ele_voti_parziale as t2, ".$prefix."_ele_cons_comune as t3 where t3.id_cons_gen=t1.id_cons_gen and t3.id_cons=t2.id_cons and t2.data=t1.data and t2.orario=t1.orario) order by t1.data,t1.orario", $dbi);
-	$resril = mysql_query("SELECT t1.data,t1.orario FROM ".$prefix."_ele_rilaff as t1 left join ".$prefix."_ele_voti_parziale as t2 on t2.data=t1.data and t2.orario=t1.orario left join ".$prefix."_ele_cons_comune as t3 on t3.id_cons_gen=t1.id_cons_gen where t1.id_cons_gen='$id_cons_gen' and t3.id_cons=t2.id_cons group by t1.data,t1.orario order by t1.data,t1.orario", $dbi);
-	$num_ril= mysql_num_rows($resril);  //numero delle rilevazioni previste
+	$sql="SELECT t1.data,t1.orario FROM ".$prefix."_ele_rilaff as t1 left join ".$prefix."_ele_voti_parziale as t2 on t2.data=t1.data and t2.orario=t1.orario left join ".$prefix."_ele_cons_comune as t3 on t3.id_cons_gen=t1.id_cons_gen where t1.id_cons_gen='$id_cons_gen' and t3.id_cons=t2.id_cons group by t1.data,t1.orario order by t1.data,t1.orario";
+	$resril = $dbi->prepare("$sql");
+	$resril->execute();
+	$num_ril= $resril->rowCount();  //numero delle rilevazioni previste
         if(!isset($html)) $html='';
 	$html .= "<table class=\"td-89\">";
 	$html .= "<tr class=\"bggray\"><td class=\"\">"._SEZIONI."</td><td>"._ISCR_SEZ."</td>";
-#	$ressomma = mysql_query("SELECT  data,orario,sum(voti_complessivi),sum(voti_uomini),sum(voti_donne) from ".$prefix."_ele_voti_parziale where id_cons=$id_cons $cond group by data,orario,id_gruppo", $dbi);
-
-		$resuo = mysql_query("SELECT orario,data FROM ".$prefix."_ele_rilaff where id_cons_gen=$id_cons_gen order by data desc,orario desc limit 0,1", $dbi);
-		list($ultora,$ultdata)=mysql_fetch_row($resuo);
-		
-
-  	$ressomma = mysql_query("select t3.data,t3.orario,sum(t3.voti_complessivi),sum(t3.voti_uomini),sum(t3.voti_donne)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos $cond group by t3.data,t3.orario,t3.id_gruppo order by t3.data,t3.orario",$dbi);
-
-#die("select t3.data,t3.orario,sum(t3.voti_complessivi),sum(t3.voti_uomini),sum(t3.voti_donne)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos  group by t3.data,t3.orario,t3.id_gruppo ");
+
+		$sql="SELECT orario,data FROM ".$prefix."_ele_rilaff where id_cons_gen=$id_cons_gen order by data desc,orario desc limit 0,1";
+		$resuo = $dbi->prepare("$sql");
+		$resuo->execute();
+		list($ultora,$ultdata)=$resuo->fetch(PDO::FETCH_NUM);
+		
+
+  	$sql="select t3.data,t3.orario,sum(t3.voti_complessivi),sum(t3.voti_uomini),sum(t3.voti_donne)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos $cond group by t3.data,t3.orario,t3.id_gruppo order by t3.data,t3.orario";
+	$ressomma = $dbi->prepare("$sql");
+	$ressomma->execute();
+
+
 $perc_u=array(); $perc_d=array(); $perc_c=array();
-	while (list($data,$ora,$somma,$votiu,$votid) = mysql_fetch_row($ressomma)) {
+	while (list($data,$ora,$somma,$votiu,$votid) = $ressomma->fetch(PDO::FETCH_NUM)) {
 		$perc_u[$data.$ora]=0;
 		$perc_d[$data.$ora]=0;
@@ -217,5 +233,5 @@
 	}
 	$ud=0;$ora_rif="";
-	while (list($data1,$ora1) = mysql_fetch_row($resril)) 
+	while (list($data1,$ora1) = $resril->fetch(PDO::FETCH_NUM)) 
 	{
 		$ud++;	
@@ -227,6 +243,8 @@
 		$data_a=form_data($data1);
 		$html .= "".$data_a."<br />"._ORE." ".$ora_ril;
-		$resaff = mysql_query("SELECT count(data) FROM ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and data='$data1' and orario='$ora_ril' $circos group by t3.id_gruppo", $dbi);
-		list($num_scr) = mysql_fetch_row($resaff);  //numero delle sezioni inserite
+		$sql="SELECT count(data) FROM ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and data='$data1' and orario='$ora_ril' $circos group by t3.id_gruppo";
+		$resaff = $dbi->prepare("$sql");
+		$resaff->execute();
+		list($num_scr) = $resaff->fetch(PDO::FETCH_NUM);  //numero delle sezioni inserite
 		$html .= "<br />"._SEZIONI." $num_scr "._SU." $num_sez";
 ##		if ($ud==$num_ril and ($perc_u or $perc_d)) $html .= "<br />
@@ -261,8 +279,11 @@
 #foreach($ar[['num_sez'] as $i)
 ##########
-  	$resvoti = mysql_query("select t1.num_sez  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t2.id_cons='$id_cons' $circos order by t1.num_sez ",$dbi);
+  	$sql="select t1.num_sez  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t2.id_cons='$id_cons' $circos order by t1.num_sez ";
+	$resvoti = $dbi->prepare("$sql");
+	$resvoti->execute();
+
 ###########
 #		for ($i=$sez_da;$i<=$sez_a;$i++)
-		while (list($i)=mysql_fetch_row($resvoti))
+		while (list($i)=$resvoti->fetch(PDO::FETCH_NUM))
 			{
 				$ar[$i][$data1.$ora1]="<span style=\"color: rgb(255, 0, 0);\">non rilevata</span>";
@@ -271,10 +292,9 @@
 	}
 	}
-  	$resvoti = mysql_query("select t3.data,t3.orario,t1.num_sez,voti_uomini, voti_donne, voti_complessivi  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos $cond order by data,orario,t1.num_sez ",$dbi);
-  	
-#	$resvoti = mysql_query("SELECT  data,orario,t2.num_sez,voti_uomini, voti_donne, voti_complessivi from ".$prefix."_ele_voti_parziale as t1, ".$prefix."_ele_sezioni as t2 where t1.id_cons=$id_cons and t1.id_sez=t2.id_sez $cond order by data,orario,t2.num_sez", $dbi);
+  	$sql="select t3.data,t3.orario,t1.num_sez,voti_uomini, voti_donne, voti_complessivi  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos $cond order by data,orario,t1.num_sez ";
+	$resvoti = $dbi->prepare("$sql");
+	$resvoti->execute();
 	$ud=0;
-#die("select t3.data,t3.orario,t1.num_sez,voti_uomini, voti_donne, voti_complessivi  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos $cond order by data,orario,t2.num_sez ");
-	while (list($data,$ora,$numsez,$uomini,$donne,$complessivi) = mysql_fetch_row($resvoti)) {
+	while (list($data,$ora,$numsez,$uomini,$donne,$complessivi) = $resvoti->fetch(PDO::FETCH_NUM)) {
 #		if ($ora_rif=="$data.$ora")
 		if(($uomini+$donne)>0)
Index: trunk/client/modules/Elezioni/backup.php
===================================================================
--- trunk/client/modules/Elezioni/backup.php	(revision 264)
+++ trunk/client/modules/Elezioni/backup.php	(revision 265)
@@ -5,6 +5,9 @@
 if (isset($param['id_comune']))
 	 $id_comune2=intval($param['id_comune']);
-$result = mysql_query("select descrizione from ".$prefix."_ele_consultazione  where id_cons_gen='$id_cons_gen2'", $dbi);
-list($nomeFile) = mysql_fetch_row($result);
+$sql="select descrizione from ".$prefix."_ele_consultazione  where id_cons_gen='$id_cons_gen2'";
+	$result = $dbi->prepare("$sql");
+	$result->execute();
+
+list($nomeFile) = $result->fetch(PDO::FETCH_NUM);
 #$nomeFile="backup";
 header( 'Content-Type: application/octet-stream' );
Index: trunk/client/modules/Elezioni/backup2.php
===================================================================
--- trunk/client/modules/Elezioni/backup2.php	(revision 264)
+++ trunk/client/modules/Elezioni/backup2.php	(revision 265)
@@ -1,38 +1,89 @@
 <?php
 #global $dbi,$id_cons_gen,$id_comune;
-#$res_comune = mysql_query("select id_cons from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$id_comune'" ,$dbi);
+#$res_comune = mysql_query("select id_cons from ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$id_comune'" ;
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
 #list($id_cons)=mysql_fetch_row($res_comune);
 #echo "id_cons=$id_cons<br/>";
-$res_comune = mysql_query("select * from ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ,$dbi);
+$sql="select * from ".$prefix."_ele_cons_comune where id_cons='$id_cons'" ;
+	$res_comune = $dbi->prepare("$sql");
+	$res_comune->execute();
+
 scarica_array($res_comune,$prefix."_ele_cons_comune");
-$res_comune = mysql_query("select * from ".$prefix."_ele_gruppo where id_cons='$id_cons'" ,$dbi);
+$sql="select * from ".$prefix."_ele_gruppo where id_cons='$id_cons'" ;
+	$res_comune = $dbi->prepare("$sql");
+	$res_comune->execute();
+
 scarica_array($res_comune,$prefix."_ele_gruppo");
-$res_comune = mysql_query("select * from ".$prefix."_ele_lista where id_cons='$id_cons'" ,$dbi);
+$sql="select * from ".$prefix."_ele_lista where id_cons='$id_cons'" ;
+	$res_comune = $dbi->prepare("$sql");
+	$res_comune->execute();
+
 scarica_array($res_comune,$prefix."_ele_lista");
-$res_comune = mysql_query("select * from ".$prefix."_ele_candidati where id_cons='$id_cons'" ,$dbi);
+$sql="select * from ".$prefix."_ele_candidati where id_cons='$id_cons'" ;
+	$res_comune = $dbi->prepare("$sql");
+	$res_comune->execute();
+
 scarica_array($res_comune,$prefix."_ele_candidati");
-$res_comune = mysql_query("select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons'" ,$dbi);
+$sql="select * from ".$prefix."_ele_circoscrizione where id_cons='$id_cons'" ;
+	$res_comune = $dbi->prepare("$sql");
+	$res_comune->execute();
+
 scarica_array($res_comune,$prefix."_ele_circoscrizione");
-$res_comune = mysql_query("select * from ".$prefix."_ele_sede where id_cons='$id_cons'" ,$dbi);
+$sql="select * from ".$prefix."_ele_sede where id_cons='$id_cons'" ;
+	$res_comune = $dbi->prepare("$sql");
+	$res_comune->execute();
+
 scarica_array($res_comune,$prefix."_ele_sede");
-$res_comune = mysql_query("select * from ".$prefix."_ele_sezioni where id_cons='$id_cons'" ,$dbi);
+$sql="select * from ".$prefix."_ele_sezioni where id_cons='$id_cons'" ;
+	$res_comune = $dbi->prepare("$sql");
+	$res_comune->execute();
+
 scarica_array($res_comune,$prefix."_ele_sezioni");
-$res_comune = mysql_query("select * from ".$prefix."_ele_link where id_cons='$id_cons'" ,$dbi);
+$sql="select * from ".$prefix."_ele_link where id_cons='$id_cons'" ;
+	$res_comune = $dbi->prepare("$sql");
+	$res_comune->execute();
+
 scarica_array($res_comune,$prefix."_ele_link");
-$res_comune = mysql_query("select * from ".$prefix."_ele_come where id_cons='$id_cons'" ,$dbi);
+$sql="select * from ".$prefix."_ele_come where id_cons='$id_cons'" ;
+	$res_comune = $dbi->prepare("$sql");
+	$res_comune->execute();
+
 scarica_array($res_comune,$prefix."_ele_come");
-$res_comune = mysql_query("select * from ".$prefix."_ele_numeri where id_cons='$id_cons'" ,$dbi);
+$sql="select * from ".$prefix."_ele_numeri where id_cons='$id_cons'" ;
+	$res_comune = $dbi->prepare("$sql");
+	$res_comune->execute();
+
 scarica_array($res_comune,$prefix."_ele_numeri");
-$res_comune = mysql_query("select * from ".$prefix."_ele_servizi where id_cons='$id_cons'" ,$dbi);
+$sql="select * from ".$prefix."_ele_servizi where id_cons='$id_cons'" ;
+	$res_comune = $dbi->prepare("$sql");
+	$res_comune->execute();
+
 scarica_array($res_comune,$prefix."_ele_servizi");
-$res_comune = mysql_query("select * from ".$prefix."_ele_voti_candidati where id_cons='$id_cons'" ,$dbi);
+$sql="select * from ".$prefix."_ele_voti_candidati where id_cons='$id_cons'" ;
+	$res_comune = $dbi->prepare("$sql");
+	$res_comune->execute();
+
 scarica_array($res_comune,$prefix."_ele_voti_candidati");
-$res_comune = mysql_query("select * from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons'" ,$dbi);
+$sql="select * from ".$prefix."_ele_voti_gruppo where id_cons='$id_cons'" ;
+	$res_comune = $dbi->prepare("$sql");
+	$res_comune->execute();
+
 scarica_array($res_comune,$prefix."_ele_voti_gruppo");
-$res_comune = mysql_query("select * from ".$prefix."_ele_voti_lista where id_cons='$id_cons'" ,$dbi);
+$sql="select * from ".$prefix."_ele_voti_lista where id_cons='$id_cons'" ;
+	$res_comune = $dbi->prepare("$sql");
+	$res_comune->execute();
+
 scarica_array($res_comune,$prefix."_ele_voti_lista");
-$res_comune = mysql_query("select * from ".$prefix."_ele_voti_parziale where id_cons='$id_cons'" ,$dbi);
+$sql="select * from ".$prefix."_ele_voti_parziale where id_cons='$id_cons'" ;
+	$res_comune = $dbi->prepare("$sql");
+	$res_comune->execute();
+
 scarica_array($res_comune,$prefix."_ele_voti_parziale");
-$res_comune = mysql_query("select * from ".$prefix."_ele_voti_ref where id_cons='$id_cons'" ,$dbi);
+$sql="select * from ".$prefix."_ele_voti_ref where id_cons='$id_cons'" ;
+	$res_comune = $dbi->prepare("$sql");
+	$res_comune->execute();
+
 scarica_array($res_comune,$prefix."_ele_voti_ref");
 
@@ -40,5 +91,5 @@
 function scarica_array($res_comune,$tab){
 echo "[$tab]\n";
-while ($lista = mysql_fetch_array($res_comune, MYSQL_ASSOC)) {
+while ($lista = $res_comune->fetch(PDO::FETCH_BOTH)) {
 	$x=0;
 	foreach ($lista as $key=>$val) {$lista[$key]=base64_encode($val);
